Subject: bug#14831: cl-member warnings during bootstrap

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Jul 2013 20:19:34 -0400

>> Well, are you going to install the change, then, or is there any downside?
> I think it's up to Stefan, who authored the current state.
> AFAIK, the warnings are harmless. Loading extra files slows down the
> build by some fractional amount (that's the only downside I can see).
> So maybe he prefers to leave it as-is.

It might be worth checking the impact on the bootstrap time.
I'd like to understand exactly where those `cl-member's come from.
I suspect the missing part is the (put 'cl-member 'compiler-macro
#'cl--compiler-macro-member) which is normally in cl-loaddefs.el.

Those residual cl-member calls may actually be a real problem, so maybe
this is not just a minor cosmetic fix.

        Stefan "who can't dig into it further now"